# OnDisconnectRequest Triggered when the user requests a disconnection
Parameters
    none
Window
console
Description
Triggered when the user requests a disconnection from a server by pressing the "disconnect" button, by closing the console or closing KVIrc. It is your last chance to send some meaningful data to the server before the QUIT message is sent. You can't prevent the user from disconnecting - halt does nothing here. This event is useful to either give a salute to all the users you were talking with or maybe to send some commands to the bouncer you're connected to. Note that you can override the QUIT message sent by KVIrc by sending it yourself first.

Index, Events

KVIrc 4.2.0.6190 Documentation
Generated by builduser at Mon Mar 13 18:15:52 2017